/**
 * Copyright (C) 2016 Deepin Technology Co., Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 **/

#include "hellopopup.h"

#include <QLabel>
#include <QHBoxLayout>
#include <QMouseEvent>

HelloPopup::HelloPopup(QWidget *parent) :
    QWidget(parent),
    m_eCount(0),
    m_content(new QLabel)
{
    setStyleSheet("padding: 5px 10px ");

    m_content->setFixedWidth(200);
    m_content->setStyleSheet("color: white");
    m_content->setText("click me!");
    m_content->setWordWrap(true);

    QHBoxLayout * layout = new QHBoxLayout(this);
    layout->addWidget(m_content);
    layout->setAlignment(m_content, Qt::AlignVCenter);
}

void HelloPopup::mousePressEvent(QMouseEvent *event)
{
    if (event->button() == Qt::LeftButton) {
        event->accept();
        m_eCount++;

        QString text("d");
        for ( int i = 0; i < m_eCount; i++) {
            text.append("e");
        }
        text.append("pin");
        m_content->setText(text);
    }

    QWidget::mousePressEvent(event);
}
