/**
 * Copyright (C) 2016 Deepin Technology Co., Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 **/

#ifndef HELLOWORLDPLUGIN_H
#define HELLOWORLDPLUGIN_H

#include <dde-dock/constants.h>
#include <dde-dock/pluginsiteminterface.h>

class QLabel;

class HelloWorldPlugin : public QObject, PluginsItemInterface
{
    Q_OBJECT
#if QT_VERSION >= 0x050000
    Q_INTERFACES(PluginsItemInterface)
    Q_PLUGIN_METADATA(IID "com.deepin.dock.PluginsItemInterface" FILE "helloworld.json")
#endif // QT_VERSION >= 0x050000

public:
    HelloWorldPlugin();
    ~HelloWorldPlugin() {}

    const QString pluginName() const;
    void init(PluginProxyInterface *proxyInter);
    QWidget *itemWidget(const QString &itemKey);
    QWidget *itemTipsWidget(const QString &itemKey);
    QWidget *itemPopupApplet(const QString &itemKey);
    const QString itemCommand(const QString &itemKey);
    const QString itemContextMenu(const QString &itemKey);
    void invokedMenuItem(const QString &itemKey, const QString &menuId, const bool checked);

    bool eventFilter(QObject *watched, QEvent *event);
private:
    QLabel *m_icon;
    QLabel *m_tooltip;
    QWidget *m_applet;
};

#endif // HELLOWORLDPLUGIN_H
